- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# utils.hpp File Reference

A collection of utility functions. More...

`#include <string>`

Include dependency graph for utils.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Util
## Classes
class | Util::Getopt
| Parse the command line options of a program. More...
## Functions
std::string | Util::dirname (const std::string &path)
| Get the directory component from the path string. See dirname(3).
std::string | Util::basename (const std::string &path, bool delsuffix=false)
| Get the filename component from the path string. See basename(3). If the delsuffix parameter is true, the suffix will be removed.
std::string | Util::suffix (const std::string &path)
| Get the suffix from the path string. Normally, the suffix is the substring of the basename of path from the last '.' to the end of the string.
bool | Util::strtol (const char *nptr, long &n)
| Convert a C string to a long value, which is returned in n. Returns true if the conversion is successful, else false. n is not modified if the conversion is unsuccessful. See strtol(2).

## Detailed Description

A collection of utility functions.

Version:
  Rev
    669

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  12-Dec-03, ahu: created